Skip to main content
GET
/
affiliates
/
billings
/
affiliates
/
invoices
/
{invoiceId}
Get Invoice By ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/billings/affiliates/invoices/{invoiceId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_invoice_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "status": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "balance": 123,
  "timezone_id": 123,
  "currency_id": "<string>",
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "details": [
      {
        "network_affiliate_invoice_detail_id": 123,
        "network_affiliate_invoice_id": 123,
        "network_offer_id": 123,
        "network_offer_name": "<string>",
        "amount": 123,
        "invoice_currency_amount": 123,
        "currency_id": "<string>",
        "notes": "<string>",
        "quantity": 123,
        "time_created": 1734455015,
        "time_saved": 1734455015,
        "referral_history_id": 123,
        "type": "referral"
      }
    ],
    "payments": [
      {
        "network_affiliate_payment_id": 123,
        "network_id": 123,
        "network_affiliate_invoice_id": 123,
        "status": "<string>",
        "notes": "<string>",
        "amount": 123,
        "currency": "<string>",
        "unix_timestamp": 123,
        "payment_type": "<string>",
        "payee_original_amount": 123,
        "payee_fee_amount": 123,
        "payee_currency": "<string>",
        "time_approved": 1734455015,
        "time_completed": 1734455015
      }
    ],
    "extra_periods": [
      {
        "network_affiliate_invoice_extra_period_id": 123,
        "network_affiliate_invoice_id": 123,
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z",
        "timezone_id": 123,
        "time_created": 1734455015,
        "time_saved": 1734455015,
        "relationship": {
          "associated_details": [
            {
              "network_affiliate_invoice_detail_id": 123,
              "network_affiliate_invoice_id": 123,
              "network_offer_id": 123,
              "network_offer_name": "<string>",
              "amount": 123,
              "invoice_currency_amount": 123,
              "currency_id": "<string>",
              "notes": "<string>",
              "quantity": 123,
              "time_created": 1734455015,
              "time_saved": 1734455015,
              "referral_history_id": 123,
              "type": "referral",
              "relationship": {
                "extra_period_id": 123
              }
            }
          ]
        }
      }
    ]
  }
}
Returns full details for a single invoice including line item breakdown, payment history, and extra periods. Line items can be of various types including referral fees, offer details, VAT, and manual adjustments.

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

invoiceId
integer
required

The numeric ID of the invoice.

Response

network_affiliate_invoice_id
integer

Unique identifier for the invoice.

network_id
integer

The network ID.

network_affiliate_id
integer

The affiliate ID.

status
string

Payment status of the invoice (paid, unpaid).

start_time
string<date-time>

Start of the billing period.

end_time
string<date-time>

End of the billing period.

notes
string

Notes on the invoice.

balance
number

Outstanding balance on the invoice.

timezone_id
integer

Timezone ID for the invoice period.

currency_id
string

Currency code for the invoice (e.g. "USD").

time_created
integer

Unix timestamp of when the invoice was created.

Example:

1734455015

time_saved
integer

Unix timestamp of when the invoice was last saved.

Example:

1734455015

relationship
object

Related data for the invoice.